Bug 1615895 - Review Request: greenboot - Generic Health Check Framework for systemd
Summary: Review Request: greenboot - Generic Health Check Framework for systemd
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2018-08-14 13:42 UTC by Christian Glombek
Modified: 2018-10-08 17:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-08 17:05:22 UTC
jsmith.fedora: fedora-review+


Attachments (Terms of Use)
Differences from source and package (1.51 KB, text/plain)
2018-08-29 02:31 UTC, Jared Smith
no flags Details

Description Christian Glombek 2018-08-14 13:42:38 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/lorbus/greenboot-dev/fedora-rawhide-x86_64/00787815-greenboot/greenboot.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/lorbus/greenboot-dev/fedora-rawhide-x86_64/00787815-greenboot/greenboot-0.4-1.fc29.src.rpm
Description: Generic Health Check Framework for systemd. Created during Fedora IoT GSoC 2018
Fedora Account System Username: lorbus

Comment 1 Jared Smith 2018-08-14 19:21:43 UTC
I'm starting this review, but may not finish it until morning.

Comment 2 Jared Smith 2018-08-29 02:30:40 UTC
I apologize that this has taken me so long to finish.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build this package do not match the upstream source
- This package should own /etc/greenboot
- Sub-packages should depend on the fully-versioned main package
- Please capitalize the summary in the greenboot-ostree-grub2 sub-package

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GNU Lesser General
     Public License (v2.1 or later)". 18 files have unknown license.
     Detailed output of licensecheck in
     /home/jsmith/Documents/Fedora/Reviews/1615895-greenboot/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/greenboot, /etc/motd.d,
     /etc/greenboot/check
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/greenboot/check,
     /etc/motd.d, /etc/greenboot
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[?]: %config files are marked noreplace or the reason is justified.
     Note: No (noreplace) in %config /etc/motd.d/greenboot
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     greenboot-motd , greenboot-ostree-grub2 , greenboot-grub2 , greenboot-
     reboot
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: greenboot-0.4-1.fc29.noarch.rpm
          greenboot-motd-0.4-1.fc29.noarch.rpm
          greenboot-ostree-grub2-0.4-1.fc29.noarch.rpm
          greenboot-grub2-0.4-1.fc29.noarch.rpm
          greenboot-reboot-0.4-1.fc29.noarch.rpm
          greenboot-0.4-1.fc29.src.rpm
greenboot-motd.noarch: W: conffile-without-noreplace-flag /etc/motd.d/greenboot
greenboot-motd.noarch: W: no-documentation
greenboot-motd.noarch: W: non-conffile-in-etc /etc/greenboot/motd/greenboot.motd
greenboot-motd.noarch: W: non-conffile-in-etc /etc/greenboot/motd/redboot.motd
greenboot-motd.noarch: W: dangling-symlink /etc/motd.d/greenboot /run/greenboot/motd
greenboot-ostree-grub2.noarch: W: summary-not-capitalized C greenboot scripts for OSTree-based systems using the Grub2 bootloader
greenboot-ostree-grub2.noarch: W: no-documentation
greenboot-grub2.noarch: W: no-documentation
greenboot-reboot.noarch: W: no-documentation
greenboot.src:54: W: setup-not-quiet
6 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
greenboot-motd.noarch: W: invalid-url URL: https://github.com/LorbusChris/greenboot <urlopen error [Errno -2] Name or service not known>
greenboot-motd.noarch: W: conffile-without-noreplace-flag /etc/motd.d/greenboot
greenboot-motd.noarch: W: no-documentation
greenboot-motd.noarch: W: non-conffile-in-etc /etc/greenboot/motd/greenboot.motd
greenboot-motd.noarch: W: non-conffile-in-etc /etc/greenboot/motd/redboot.motd
greenboot-motd.noarch: W: dangling-symlink /etc/motd.d/greenboot /run/greenboot/motd
greenboot-reboot.noarch: W: invalid-url URL: https://github.com/LorbusChris/greenboot <urlopen error [Errno -2] Name or service not known>
greenboot-reboot.noarch: W: no-documentation
greenboot.noarch: W: invalid-url URL: https://github.com/LorbusChris/greenboot <urlopen error [Errno -2] Name or service not known>
greenboot-ostree-grub2.noarch: W: summary-not-capitalized C greenboot scripts for OSTree-based systems using the Grub2 bootloader
greenboot-ostree-grub2.noarch: W: invalid-url URL: https://github.com/LorbusChris/greenboot <urlopen error [Errno -2] Name or service not known>
greenboot-ostree-grub2.noarch: W: no-documentation
greenboot-grub2.noarch: W: invalid-url URL: https://github.com/LorbusChris/greenboot <urlopen error [Errno -2] Name or service not known>
greenboot-grub2.noarch: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 14 warnings.



Requires
--------
greenboot-motd (rpmlib, GLIBC filtered):
    /usr/bin/bash
    config(greenboot-motd)
    greenboot
    openssh
    pam

greenboot-reboot (rpmlib, GLIBC filtered):
    /usr/bin/bash
    greenboot

greenboot (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/bash
    systemd

greenboot-ostree-grub2 (rpmlib, GLIBC filtered):
    /usr/bin/bash
    greenboot
    greenboot-grub2
    greenboot-reboot

greenboot-grub2 (rpmlib, GLIBC filtered):
    /usr/bin/bash
    greenboot



Provides
--------
greenboot-motd:
    config(greenboot-motd)
    greenboot-motd

greenboot-reboot:
    greenboot-reboot

greenboot:
    greenboot

greenboot-ostree-grub2:
    greenboot-ostree-grub2

greenboot-grub2:
    greenboot-grub2



Source checksums
----------------
https://github.com/LorbusChris/greenboot/archive/v0.4.tar.gz :
  CHECKSUM(SHA256) this package     : ad8b1c227534df9e0651f3fb55570437d9fde7de88d7fb5a522c29e4189b8c1e
  CHECKSUM(SHA256) upstream package : 5e3d8b62fc4f059b9c9d0abfbfc8e7c5388c1fbcf2b54233d5b043881a826c5b
diff -r also reports differences


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1615895
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Jared Smith 2018-08-29 02:31:56 UTC
Created attachment 1479381 [details]
Differences from source and package

This diff file shows the differences between the package and the upstream source.

Comment 5 Jared Smith 2018-10-04 11:56:45 UTC
Looks good. Package is approved.


Note You need to log in before you can comment on or make changes to this bug.